Summary: Unix/Omnigo GPK file installer
Name: oginst
Version: 0.11
Release: 1
Copyright: 
Source: http://domestic1.sjc.ox.ac.uk/~ahoskins/omnigo/oginst011b.tar.gz
URL: http://domestic1.sjc.ox.ac.uk/~ahoskins/omnigo/
Packager: William Evans <william.evans@computer.org>
Vendor: William Evans <william.evans@computer.org>
Group: Applications/Communications
Requires: ogftp >= 1.1

%description
oginst is a utility to list the contents of GPK files or install them
onto an Omnigo. It works by extracting the files into a temporary directory
along with a script file for ogftp and then calling ogftp. ogftp version 1.1
or higher is needed (oginst needs a put command which can cope with different
local and remote file names).

%prep
rm -rf $RPM_BUILD_DIR/oginst-0.11
mkdir $RPM_BUILD_DIR/oginst-0.11
cd $RPM_BUILD_DIR/oginst-0.11
tar xzf $RPM_SOURCE_DIR/oginst011b.tar.gz
chown -R 0.0 $RPM_BUILD_DIR/oginst-0.11

%build
cd $RPM_BUILD_DIR/oginst-0.11
gcc $RPM_OPT_FLAGS -o oginst oginst.c

%install
cd $RPM_BUILD_DIR/oginst-0.11
install -m 755 oginst /usr/bin/

%files
%doc oginst-0.11/README
/usr/bin/oginst
